nV News Forums

 
 

nV News Forums (http://www.nvnews.net/vbulletin/index.php)
-   NVIDIA Linux (http://www.nvnews.net/vbulletin/forumdisplay.php?f=14)
-   -   Nvidia driver version 96.43.19 module corrupted on Scientific Linux 6 (http://www.nvnews.net/vbulletin/showthread.php?t=167427)

Rixasha 10-16-11 11:05 AM

Nvidia driver version 96.43.19 module corrupted on Scientific Linux 6
 
On Scientific Linux 6 (perhaps also on Red Hat Enterprise Linux 6), trying to load the compiled kernel module for legacy driver 96.43.19 fails with an error message like this:
insmod: error inserting './usr/src/nv/nvidia.ko': -1 Accessing a corrupted shared library
Simultaneously, this is logged:
Verify ELF error [sec 33 note 12] (assertion 286)
Module failed ELF checks
The installer quits after it has compiled the module and failed to load it. I'm attaching the log.
Any ideas?

Rixasha 10-16-11 11:08 AM

Re: Nvidia driver version 96.43.19 module corrupted on Scientific Linux 6
 
1 Attachment(s)
And here's another try attaching the log.

Rixasha 10-29-11 05:49 AM

Re: Nvidia driver version 96.43.19 module corrupted on Scientific Linux 6
 
Hmm, no comments. Is this working for everyone else or does no one else use a legacy card in such a system?

Rixasha 03-30-12 12:10 PM

Re: Nvidia driver version 96.43.19 module corrupted on Scientific Linux 6
 
For any future reference to those whom it might concern;

This is the same issue as reported with a working patch at the ElRepo bugs here. Since the nVidia license forbids modifying the binary, a working driver can still not be distributed by ElRepo or anyone else. An earlier request for nVidia to fix it instead can be read here.


All times are GMT -5. The time now is 02:29 AM.

Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.